Subject: Re: [3.15-rc3] Bisected: xen-netback mangles packets between two guests on a bridge since merge of "TX grant mapping with SKBTX_DEV_ZEROCOPY instead of copy" series.

From: Zoltan Kiss <[email-masked]>
Date: Tue, 6 May 2014 18:13:44 +0100

On 06/05/14 18:07, Steven Haigh wrote:
> On a related note, I'm seeing this on an Arch Linux DomU and kernel
> 3.14.2. Its running aria2c bit torrent client.
>
> The Dom0 is EL6 with Xen 4.2.4 / 3.14.2 kernel.
>
> I also lodged this on the Arch bug tracker:
> 	https://bugs.archlinux.org/task/40244
>
> In a nutshell, I see:
> [ 7432.398096] xen_netfront: xennet: skb rides the rocket: 19 slots
> [ 7434.270870] xen_netfront: xennet: skb rides the rocket: 19 slots
> [ 7434.782199] xen_netfront: xennet: skb rides the rocket: 19 slots
> [ 7435.184794] xen_netfront: xennet: skb rides the rocket: 19 slots
> [ 7437.530677] xen_netfront: xennet: skb rides the rocket: 19 slots
> [ 7437.973905] xen_netfront: xennet: skb rides the rocket: 19 slots
> [ 7438.383947] xen_netfront: xennet: skb rides the rocket: 19 slots

Can you also see packet corruption? You can find a testfile generator in 
Sander's mail, downloading from an Apache server with wget seems to be OK.

Zoli